varying vec2 texc;
uniform sampler2D tex_diff_uv;
uniform sampler2D tex_origin;
uniform vec4 offset_wh;
void main(){
    vec2 texc_r = texc;
    vec2 texc_f = (texc - offset_wh.xy) / offset_wh.zw;
    if(!(texc_f.x <= 0.0 || texc_f.x >= 1.0 || texc_f.y <= 0.0 || texc_f.y >=1.0)) {
        texc_r += texture2D(tex_diff_uv,texc_f).rg;
    }
    gl_FragColor = texture2D(tex_origin, texc_r);
}